<?php
namespace Elementor;

class engishsingle extends Widget_Base {
	
	public function get_name() {
		return 'engishsingle';
	}
	
	public function get_title() {
		return 'عنوان انگلیسی';
	}
	
 public function get_icon() {
		return 'eicon eicon-product-title';
    }
    
    public function get_categories() {
        return [ 'farnamproduct' ];
    }

	
	protected function register_controls() {


	
		
  $this->start_controls_section(
            'farnam_product_style_2',
            [
                'label' => esc_html__( 'تنظیمات استایل و ظاهر', 'woolentor' ),
            ]
        );


		    $this->add_control(
'sepidcolor-2',
			[
				'label' => __( 'رنگ پس زمینه', 'plugin-domain' ),
				'type' => Controls_Manager::COLOR,
			
				'selectors' => [
					'{{WRAPPER}} .english-title-single-product' => 'background: {{VALUE}} !important',
				],
			]
           );
		      $this->add_control(
'sepidcolor-3',
			[
				'label' => __( 'رنگ متن', 'plugin-domain' ),
				'type' => Controls_Manager::COLOR,
			
				'selectors' => [
					'{{WRAPPER}} .english-title-single-product' => 'color: {{VALUE}} !important',
				],
			]
           );
		   

		$this->add_responsive_control(
			'title_padding',
			[
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'label' => esc_html__( 'فاصله داخلی', 'textdomain' ),
				'size_units' => [ 'px', '%', 'em', 'rem', 'custom' ],
				'selectors' => [
					'{{WRAPPER}} .english-title-single-product' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
		);
		   
	 $this->add_control(
                        'titr-mehr-4',
                        [
                            'label' => __( 'سایه باکس عنوان', 'woolentor' ),
                            'type' => Controls_Manager::HEADING,
                                              ]
                    );

			$this->add_group_control(
			\Elementor\Group_Control_Box_Shadow::get_type(),
			[
				'name' => 'box_shadow',
				'selector' => '{{WRAPPER}} .english-title-single-product',
			]
		);
			
				  $this->add_control(
                        'titr-mehr-2',
                        [
                            'label' => __( 'کادر باکس عنوان ', 'woolentor' ),
                            'type' => Controls_Manager::HEADING,
                                              ]
                    );
		$this->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'border-mehr-2',
				'selector' => '{{WRAPPER}} .english-title-single-product',
			]
		);	
					 $this->add_responsive_control(
                        'sepidborder-2',
                        [
                            'label' => esc_html__( 'گردی دور عنوان', 'woolentor' ),
                            'type' => Controls_Manager::DIMENSIONS,
                            'selectors' => [
                                '{{WRAPPER}} .english-title-single-product' => 'border-radius: {{TOP}}px {{RIGHT}}px {{BOTTOM}}px {{LEFT}}px !important;',
                            ],
                        ]
                    );
		$this->end_controls_section();
		
	}
	protected function render() {
		$settings = $this->get_settings_for_display();
defined( 'ABSPATH' ) || exit;

global $product;


				?>
<?php $option_meta = rwmb_meta('title-1'); if (!empty($option_meta)) { ?>



<div class="english-title-single-product"><?php echo $option_meta; ?>
</div>
<?php } ?>
		<?php


	}


	
	protected function _content_template() {

    }
	
	
}